import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';
import { QuoteSingleVariation } from './quote-single-variation.enum';

<Meta title="quote/digi-quote-single" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard single quote.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-quote-single
		    af-quote-author-name="Quote Author"
		    af-quote-author-title="Author Title"
		    af-variation="primary"
		  >
			<blockquote>
				This is a quote.
			</blockquote>
		</digi-quote-single>
    `}
  </Story>
</Canvas>

### Primary

Primary single quotes have a white background and blue border. This is the default behavior, so it is the same as the standard version.

<Canvas>
  <Story name="Variation - Primary">
    /* html */
    {`
      <digi-quote-single
		    af-quote-author-name="Quote Author"
		    af-quote-author-title="Author Title"
		    af-variation="primary"
		  >
			<blockquote>
				This is a quote.
			</blockquote>
		</digi-quote-single>
    `}
  </Story>
</Canvas>

### Secondary

Secondary single quotes have a gray background and no border. This is the default behavior, so it is the same as the standard version.

<Canvas>
  <Story name="Variation - Secondary">
    /* html */
    {`
      <digi-quote-single
		    af-quote-author-name="Quote Author"
		    af-quote-author-title="Author Title"
		    af-variation="secondary"
		  >
			<blockquote>
				This is a quote.
			</blockquote>
		</digi-quote-single>
    `}
  </Story>
</Canvas>

### Symbol

Symbol single quotes have a green background and no border. This is the default behavior, so it is the same as the standard version.

<Canvas>
  <Story name="Variation - Symbol">
    /* html */
    {`
      <digi-quote-single
		    af-quote-author-name="Quote Author"
		    af-quote-author-title="Author Title"
		    af-variation="symbol"
		  >
			<blockquote>
				This is a quote.
			</blockquote>
		</digi-quote-single>
    `}
  </Story>
</Canvas>